function output = G20(params,arg2)
%common gain for refl coherent signal to both PZT and additive offset on
%aux laser
eval(params)
poles = [-2*pi*f2p1 -2*pi*f2p2 -2*pi*f2p3];
zeros = [-2*pi*f2z1 -2*pi*f2z2];
gain = -2*pi*f2p1*f2p2*f2p3*g20/(f2z1*f2z2);

if strcmp(arg2, 'gain'), output = gain;
elseif strcmp(arg2, 'zeros'), output = zeros;
elseif strcmp(arg2, 'poles'), output = poles;
end